Subject: Re: 23.2; wish: emacsclient -c -g GEOMETRY

From: Arne Babenhauserheide <[email-masked]>
Date: Fri, 25 Feb 2011 00:50:35 +0100

On Thursday 24 February 2011 23:19:21 Arne Babenhauserheide wrote:
> Wish: emacsclient -c should take a -g GEOMETRY argument, so I can use it
> for swiftly starting X with emacsclient as sole frame for the times when
> I need graphics.

A hack to get a similar effect (though not the same: I have to fork my .emacs.d 
for devices with different screen sizes because I customize in 
~/.emacs.d/.emacs): 

    (add-to-list 'default-frame-alist '(height . 24))
    (add-to-list 'default-frame-alist '(width . 80))

Easier: 

(1) C-h v default-frame-alist RET
(2) select customize.
(3) experiment until you find the correct width and height :)

→ http://www.emacswiki.org/emacs/FrameSize

Best wishes, 
Arne